summaryrefslogtreecommitdiffstats
path: root/desktop/crystalcursors
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/crystalcursors')
-rw-r--r--desktop/crystalcursors/README21
-rw-r--r--desktop/crystalcursors/crystalcursors.SlackBuild61
-rw-r--r--desktop/crystalcursors/crystalcursors.info8
-rw-r--r--desktop/crystalcursors/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/desktop/crystalcursors/README b/desktop/crystalcursors/README
new file mode 100644
index 0000000000..817b916e06
--- /dev/null
+++ b/desktop/crystalcursors/README
@@ -0,0 +1,21 @@
+Crystal xcursors by Marco Martin 2003-2004
+
+Four different mouse cursor icon sets in the KDE CrystalSVG style.
+In white, gray, blue and green versions. They can be selected from
+the KDE Control Center under Peripherals,Mouse.
+
+Source borrowed from the Ubuntu repository as the original site
+does not appear to be hosting these and more. If anyone knows of
+a more "correct" source location, please advise.
+
+We've modified the upstream-intended result just a bit - it installs
+a /usr/share/icons/default/index.theme file which can/will potentially
+modify the system-wide default cursor theme simply by installing the
+resulting package. This is (in our opinion) not acceptable; therefore,
+we move that index.theme file to the documentation directory as:
+ index.theme.default
+If you want to use it as the default, then you can manually create the
+/usr/share/icons/default directory and restore the file to its original
+name in that directory. Alternatively, you could set the cursor theme
+with your window manager (which is probably the best option if your window
+manager supports it).
diff --git a/desktop/crystalcursors/crystalcursors.SlackBuild b/desktop/crystalcursors/crystalcursors.SlackBuild
new file mode 100644
index 0000000000..b43c2ebdb3
--- /dev/null
+++ b/desktop/crystalcursors/crystalcursors.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Slackware build script for crystalcursors
+
+# Written in 2007 by Yalla-One <yallaone@gmail.com>
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=crystalcursors
+VERSION=1.1.1
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG $TMP/tmp-$PRGNAM
+mkdir -p $TMP $PKG $OUTPUT $PKG/usr/share/icons || exit 1
+cd $TMP
+tar -xvf $CWD/${PRGNAM}_${VERSION}.orig.tar.gz || exit 1
+mv Crystalcursors tmp-$PRGNAM
+cd tmp-${PRGNAM}
+chown -R root.root .
+chmod -R u+w,go+r-w,a-s .
+
+make || exit 1
+make install PREFIX=$PKG/usr/share/icons || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG CREDITS LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/${PRGNAM}.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc || exit 1
+
+# We're not going to have a package installation change any system-wide
+# defaults, so we'll first move the index.theme file to the documentation
+# directory so that it's easy to find, and then wipe the $ICONS/default dir.
+mv $PKG/usr/share/icons/default/index.theme \
+ $PKG/usr/doc/$PRGNAM-$VERSION/index.theme.default
+rmdir $PKG/usr/share/icons/default
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/crystalcursors/crystalcursors.info b/desktop/crystalcursors/crystalcursors.info
new file mode 100644
index 0000000000..e57aa79584
--- /dev/null
+++ b/desktop/crystalcursors/crystalcursors.info
@@ -0,0 +1,8 @@
+PRGNAM="crystalcursors"
+VERSION="1.1.1"
+HOMEPAGE="http://www.kde-look.org/content/show.php?content=6240"
+DOWNLOAD="http://launchpadlibrarian.net/6294002/crystalcursors_1.1.1.orig.tar.gz"
+MD5SUM="907ab91ab1724bc5fb33d6771159aba7"
+MAINTAINER="Yalla-One"
+EMAIL="yallaone@gmail.com"
+APPROVED="rworkman"
diff --git a/desktop/crystalcursors/slack-desc b/desktop/crystalcursors/slack-desc
new file mode 100644
index 0000000000..043593e574
--- /dev/null
+++ b/desktop/crystalcursors/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+crystalcursors: crystalcursors (Crystal xcursors by Marco Martin 2003-2004)
+crystalcursors:
+crystalcursors: Four different mouse cursor icon sets in the KDE CrystalSVG
+crystalcursors: style. In white, gray, blue and green versions. They can be
+crystalcursors: selected from the KDE Control Centre under Peripherals,Mouse.
+crystalcursors:
+crystalcursors: Source borrowed from Ubuntu repository as original site
+crystalcursors: appear no longer to be hosting these..
+crystalcursors:
+crystalcursors: https://launchpad.net/ubuntu/feisty/+source/crystalcursors/
+crystalcursors: